[B043] Medical News Search
Obtain news about title, content, publish date etc.
By default, the criteria involving organization, targets, disease, and drug types use a Roll-Up logic.
Request Parameters
List of parameters supported by this API endpoint
| Name | Type | Example | Description |
|---|---|---|---|
| integer<int64> | - | Offset, default 0 |
| integer<int64> | 10 | Limit, default 10. offset + limit <= 10000, limit up to 1,000. |
| object | {
"value": [
"81364d1ace044fdc8af8f60026eb2c7b"
],
"condition": "OR"
} | Drug, The "condition" field defaults to OR and does not support AND. |
| string | OR | Logical operators, The value is an enum with the following values:AND,OR. Case-sensitive. |
| array | [
"945fa31ebe9e41ae912e493aa3324576"
] | Value List |
| object | {
"value": [
"928facc8122849baa0dc00759cff0380"
],
"condition": "OR"
} | Target, The "condition" field defaults to OR and does not support AND. |
| string | OR | Logical operators, The value is an enum with the following values:AND,OR. Case-sensitive. |
| array | [
"9786d32e3d244a688ec6a60d2fe1b10b"
] | Value List |
| object | {
"value": [
"3beea980d93a4cc0abc864e27514601c"
],
"condition": "OR"
} | Disease, The "condition" field defaults to OR and does not support AND. |
| string | OR | Logical operators, The value is an enum with the following values:AND,OR. Case-sensitive. |
| array | [
"3beea980d93a4cc0abc864e27514601c"
] | Value List |
| object | {
"value": [
"fa85404e9b2f62d55e5167ed2213eca7"
],
"condition": "OR"
} | Organization, The "condition" field defaults to OR and does not support AND. |
| string | OR | Logical operators, The value is an enum with the following values:AND,OR. Case-sensitive. |
| array | [
"6a8c172f1efc649035845f94c31a9c1e"
] | Value List |
| object | {
"value": [
"CRISPR"
],
"condition": "OR"
} | Keyword, The "condition" field defaults to OR and support AND. |
| string | OR | Logical operators, The value is an enum with the following values:AND,OR. Case-sensitive. |
| array | [
"keytruda"
] | Value List |
| object | {
"to": 1756742399999,
"from": 1722441600000
} | Post Time, using timestamp. Referencing "NewsSearchLongRangeItem" |
| integer<int64> | 1722441600000 | from |
| integer<int64> | 1756742399999 | to |
| array | [
{
"sort_field": "post_time",
"sort_order": "desc"
}
] | Sorting fields.The value is an enum with the following values: post_time. Default post_time descending order. Referencing "SortDto" |
| string | post_time | sort field, enum values: post_time |
| string | desc | sort order, support:desc,asc |
Response Schema
Structure of the API response data
| Field Name | Type | Example | Description |
|---|---|---|---|
data | object | - | response data |
items | array | Please check the form:NewsDetailDto | Result Items |
title | string | Roche to reintroduce Susvimo in the US for people with neovascular age-related macular degeneration (nAMD) | News title |
news_id | string | f57e970e-8f97-39b7-a6be-51846e92bee1 | News ID |
source_url | string | https://www.biospace.com/article/releases/cerevel-therapeutics-announces-publication-in-the-lancet-of-emraclidine-data-from-phase-1b-clinical-trial-in-people-living-with-schizophrenia/ | News Link |
limit | integer<int64> | 10 | limit |
total | integer<int64> | 10 | total |
offset | integer<int64> | - | offset |
statusRequired | boolean | false | Status |
error_msg | string | The request parameter format is incorrect! | Error Message |
error_codeRequired | integer | 0 | Error Code |
Success Response Example
Example of a successful API response
JSON
{
"data": {
"items": [
{
"title": "Roche to reintroduce Susvimo in the US for people with neovascular age-related macular degeneration (nAMD)",
"news_id": "f57e970e-8f97-39b7-a6be-51846e92bee1",
"source_url": "https://www.biospace.com/article/releases/cerevel-therapeutics-announces-publication-in-the-lancet-of-emraclidine-data-from-phase-1b-clinical-trial-in-people-living-with-schizophrenia/"
}
],
"limit": 10,
"total": 10,
"offset": 0
},
"status": true,
"error_code": 0
}Error Codes
List of possible error codes returned by this endpoint
Business Errors
| Error Code | Description |
|---|---|
68300004 | Invalid parameter! |
68300005 | Search api failure! |
68300006 | Analytic basic access error! |
68300007 | Bad request! |
68300008 | Service error, please try again later! |
68300010 | The file does not comply with upload specifications! |
Platform Errors
| Error Code | Description |
|---|---|
67200000 | API call exceeds the total limit set by the platform! |
67200001 | API call exceeds the total limit set by the platform! |
67200002 | The current call rate is too fast, exceeding the current configuration limit QPS! |
67200003 | The key and secret parameters for applying for the token are incorrect or the client has been disabled! |
67200004 | The requested api does not have permission. Please contact our support personnel! |
67200005 | Insufficient account balance/number of calls! |
67200006 | The client has exceeded the activation validity period! |
67200007 | The current call exceeds the configured usage limit of the day! |
67200008 | Please check if the required apikey in the query parameter has been transmitted! |
67200009 | The apikey does not match the passed bearerToken. Please check if a valid token is being used! |
67200012 | The request is illegal! |
67200100 | The current server status is busy, request response timeout! |
67200101 | The API requested currently does not exist. Please check the request path! |
HTTP Status Codes
| Status Code | Description |
|---|---|
0 | Success |
201 | Created |
401 | Unauthorized |
403 | Forbidden |
404 | Not Found |